## visad.data.dods
Class VariableAdapterFactory

    java.lang.Object
      visad.data.dods.VariableAdapterFactory

public class VariableAdapterFactory
extends Object

Provides support for creating adapters that bridge between DODS variables and the VisAD data-import context.

Instances are immutable.

Constructor Summary
`protected` `VariableAdapterFactory()` Constructs from nothing.

Method Summary
`ArrayVariableAdapter` `arrayVariableAdapter(DArray var, DAS das)` Returns the adapter corresponding to a DODS `DArray`.
`BooleanVariableAdapter` `booleanVariableAdapter(DBoolean var, DAS das)` Returns the adapter corresponding to a DODS `DBoolean`.
`ByteVariableAdapter` `byteVariableAdapter(DByte var, DAS das)` Returns the adapter corresponding to a DODS `DByte`.
`Float32VariableAdapter` `float32VariableAdapter(DFloat32 var, DAS das)` Returns the adapter corresponding to a DODS `DFloat32`.
`Float64VariableAdapter` `float64VariableAdapter(DFloat64 var, DAS das)` Returns the adapter corresponding to a DODS `DFloat64`.
`GridVariableAdapter` `gridVariableAdapter(DGrid var, DAS das)` Returns the adapter corresponding to a DODS `DGrid`.
`GridVariableMapAdapter` `gridVariableMapAdapter(DArray array, DAS das)` Returns the adapter corresponding to the coordinate mapping- vectors of a DODS `DGrid`.
`Int16VariableAdapter` `int16VariableAdapter(DInt16 var, DAS das)` Returns the adapter corresponding to a DODS `DInt16`.
`Int32VariableAdapter` `int32VariableAdapter(DInt32 var, DAS das)` Returns the adapter corresponding to a DODS `DInt32`.
`ListVariableAdapter` `listVariableAdapter(DList var, DAS das)` Returns the adapter corresponding to a DODS `DList`.
`SequenceVariableAdapter` `sequenceVariableAdapter(DSequence var, DAS das)` Returns the adapter corresponding to a DODS `DSequence`.
`StringVariableAdapter` `stringVariableAdapter(DString var, DAS das)` Returns the adapter corresponding to a DODS `DString`.
`StructureVariableAdapter` `structureVariableAdapter(DStructure var, DAS das)` Returns the adapter corresponding to a DODS `DStructure`.
`UInt16VariableAdapter` `uInt16VariableAdapter(DUInt16 var, DAS das)` Returns the adapter corresponding to a DODS `DUInt16`.
`UInt32VariableAdapter` `uInt32VariableAdapter(DUInt32 var, DAS das)` Returns the adapter corresponding to a DODS `DUInt32`.
`VariableAdapter` `variableAdapter(BaseType var, DAS das)` Returns the adapter corresponding to a DODS variable.
`static VariableAdapterFactory` `variableAdapterFactory()` Returns an instance of this class.
`VectorAdapter` `vectorAdapter(PrimitiveVector vector, DAS das)` Returns the adapter corresponding to a DODS `PrimitiveVector`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableAdapterFactory

    protected VariableAdapterFactory()

  Constructs from nothing.

Method Detail

### variableAdapterFactory

    public static VariableAdapterFactory variableAdapterFactory()

  Returns an instance of this class.

  Returns:
    An instance of this class.

### variableAdapter

    public VariableAdapter variableAdapter(BaseType var,
                                           DAS das)
                                    throws BadFormException,
                                           VisADException,
                                           RemoteException

  Returns the adapter corresponding to a DODS variable.

  Parameters:
    `var` - A DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `BadFormException` - The DODS information is corrupt.
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### stringVariableAdapter

    public StringVariableAdapter stringVariableAdapter(DString var,
                                                       DAS das)
                                                throws VisADException,
                                                       RemoteException

  Returns the adapter corresponding to a DODS `DString`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### booleanVariableAdapter

    public BooleanVariableAdapter booleanVariableAdapter(DBoolean var,
                                                         DAS das)
                                                  throws VisADException,
                                                         RemoteException

  Returns the adapter corresponding to a DODS `DBoolean`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### byteVariableAdapter

    public ByteVariableAdapter byteVariableAdapter(DByte var,
                                                   DAS das)
                                            throws VisADException,
                                                   RemoteException

  Returns the adapter corresponding to a DODS `DByte`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### uInt16VariableAdapter

    public UInt16VariableAdapter uInt16VariableAdapter(DUInt16 var,
                                                       DAS das)
                                                throws VisADException,
                                                       RemoteException

  Returns the adapter corresponding to a DODS `DUInt16`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### int16VariableAdapter

    public Int16VariableAdapter int16VariableAdapter(DInt16 var,
                                                     DAS das)
                                              throws VisADException,
                                                     RemoteException

  Returns the adapter corresponding to a DODS `DInt16`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### uInt32VariableAdapter

    public UInt32VariableAdapter uInt32VariableAdapter(DUInt32 var,
                                                       DAS das)
                                                throws VisADException,
                                                       RemoteException

  Returns the adapter corresponding to a DODS `DUInt32`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### int32VariableAdapter

    public Int32VariableAdapter int32VariableAdapter(DInt32 var,
                                                     DAS das)
                                              throws VisADException,
                                                     RemoteException

  Returns the adapter corresponding to a DODS `DInt32`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### float32VariableAdapter

    public Float32VariableAdapter float32VariableAdapter(DFloat32 var,
                                                         DAS das)
                                                  throws VisADException,
                                                         RemoteException

  Returns the adapter corresponding to a DODS `DFloat32`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### float64VariableAdapter

    public Float64VariableAdapter float64VariableAdapter(DFloat64 var,
                                                         DAS das)
                                                  throws VisADException,
                                                         RemoteException

  Returns the adapter corresponding to a DODS `DFloat64`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### structureVariableAdapter

    public StructureVariableAdapter structureVariableAdapter(DStructure var,
                                                             DAS das)
                                                      throws VisADException,
                                                             RemoteException

  Returns the adapter corresponding to a DODS `DStructure`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### listVariableAdapter

    public ListVariableAdapter listVariableAdapter(DList var,
                                                   DAS das)
                                            throws VisADException,
                                                   RemoteException

  Returns the adapter corresponding to a DODS `DList`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### sequenceVariableAdapter

    public SequenceVariableAdapter sequenceVariableAdapter(DSequence var,
                                                           DAS das)
                                                    throws VisADException,
                                                           RemoteException

  Returns the adapter corresponding to a DODS `DSequence`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### arrayVariableAdapter

    public ArrayVariableAdapter arrayVariableAdapter(DArray var,
                                                     DAS das)
                                              throws VisADException,
                                                     RemoteException

  Returns the adapter corresponding to a DODS `DArray`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### gridVariableAdapter

    public GridVariableAdapter gridVariableAdapter(DGrid var,
                                                   DAS das)
                                            throws VisADException,
                                                   RemoteException

  Returns the adapter corresponding to a DODS `DGrid`.

  Parameters:
    `var` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS variable.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### gridVariableMapAdapter

    public GridVariableMapAdapter gridVariableMapAdapter(DArray array,
                                                         DAS das)
                                                  throws VisADException,
                                                         RemoteException

  Returns the adapter corresponding to the coordinate mapping- vectors of a DODS `DGrid`.

  Parameters:
    `array` - The coordinate mapping vectors of a DODS `DGrid`.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the coordinate mapping-vectors of the DODS grid.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### vectorAdapter

    public VectorAdapter vectorAdapter(PrimitiveVector vector,
                                       DAS das)
                                throws VisADException,
                                       RemoteException

  Returns the adapter corresponding to a DODS `PrimitiveVector`.

  Parameters:
    `vector` - An appropriate DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.